extends MultiplayerSpawner


const Item = preload("res://item.tscn")
var items := []

@export
var public := false :
	set(value):
		# Update items visibility
		items.map(func(it): it.public = value)
		public = value
	get:
		return public
@export
var show_to_peer := 1 :
	set(value):
		# Update items visibility
		items.map(func(it): it.show_to_peer = value)
		show_to_peer = value
	get:
		return show_to_peer


func _spawn_custom(data):
	var item = Item.instantiate()
	item.name = str(items.size())
	item.text = item.name
	item.public = public
	item.show_to_peer = show_to_peer
	items.append(item)
	return item


func despawn():
	if items.size():
		var item = items.pop_front()
		item.queue_free()
